import { EntityInterface } from '../Entity/EntityInterface.interface';
import { RepositoryInterface } from '../Repository/RepositoryInterface.interface';
import { SQLFactory } from '../Schema/SQL.service';
import { Type } from '@angular/core';
export declare class AbstractRepository {
    protected parentRepository: RepositoryInterface;
    setParent(repository: RepositoryInterface): this;
    getSqlService(): SQLFactory;
    getClassToken(): Type<any>;
    mapArrayToObject(a: any): EntityInterface;
    getJointures(): any[];
    /**
     * @warning
     * TODO: add a ttl option to the function 'executeSelectJoin' to let it know how to decremente it in order
     * to avoid cycle references while lazyloading
     *
     * @param object
     * @param joinField
     * @param join
     * @param item
     * @param jointures
     */
    executeSelectJoin(object: any, joinField: any, join: any, item: any, jointures: any): Promise<EntityInterface[]>;
    /**
     * Will be overrided
     * @param options
     */
    select(options: any): Promise<EntityInterface[]>;
    /**
     * Find by id
     * @param id
     */
    find(id: number): Promise<EntityInterface | null>;
    /**
     * Find by criteria
     * @param options
     */
    findBy(options: any): Promise<EntityInterface[]>;
    /**
     * Find one result following the search criteria
     * @param options
     */
    findOneBy(options: any): Promise<EntityInterface | null>;
    /**
     * Find all the results in this table
     */
    findAll(): Promise<EntityInterface[]>;
}
