import { RepositoryInterface } from '../Repository/RepositoryInterface.interface';
import { EntityInterface } from '../Entity/EntityInterface.interface';
import { ObjectRepositoryInterface } from '../Repository/ObjectRepositoryInterface';
import { Type } from '@angular/core';
import { SQLFactory } from '../Schema/SQL.service';
import { UpdateOption, SelectOption, InsertOption, DeleteOption } from '../Schema/SQLQueriesInterfaces';
export interface AdapterRepositoryInterface extends ObjectRepositoryInterface {
    setParent(repository: RepositoryInterface): any;
    getClassToken(): Type<any>;
    setParent(repository: RepositoryInterface): any;
    getSqlService(): SQLFactory;
    getClassToken(): Type<any>;
    mapArrayToObject(a: any): any;
    getJointures(): any;
    select(options?: SelectOption): Promise<EntityInterface[]>;
    insert(object: EntityInterface, options?: InsertOption): Promise<EntityInterface>;
    update(arg: EntityInterface, options?: UpdateOption): Promise<boolean>;
    delete(entity?: EntityInterface, options?: DeleteOption): Promise<boolean>;
    find(id: number): any;
    findBy(options: any): any;
    findOneBy(options: any): any;
    findAll(): any;
}
