import { SQLite, SQLiteObject } from '@ionic-native/sqlite';
import { ManagerInterface } from '../../Manager/Manager.interface';
import { ConnectorInterface } from '../ConnectorInterface';
import { Manager } from '../../Manager/Manager.service';
/**
 * This class provides functions to get connection handlers
 *
 * The below annotation is required when a class contains only static methods.
 * See https://github.com/angular/angular/issues/18867
 * @dynamic
 */
export declare class Connector implements ConnectorInterface {
    static sqlite: any;
    connection: any;
    constructor(sqlite: SQLite);
    static load(manager: Manager, sqlite: SQLite): Promise<ConnectorInterface>;
    /**
     * Get connection handler for the sqlite adapter
     * @param sqlite
     * @param configuration
     */
    getConnection(manager: ManagerInterface): Promise<SQLiteObject>;
}
