import { ManagerInterface } from '../../Manager/Manager.interface';
import { AdapterRepositoryInterface } from '../AdapterRepositoryInterface';
import { EntityInterface } from '../../Entity/EntityInterface.interface';
import { UpdateOption, DeleteOption, InsertOption, SelectOption } from '../../Schema/SQLQueriesInterfaces';
import { AbstractRepository } from '../AbstractRepository';
export declare class Repository extends AbstractRepository implements AdapterRepositoryInterface {
    manager: ManagerInterface;
    private sqlService;
    constructor(manager: ManagerInterface);
    /**
     * Select results
     * @param options
     */
    select(options?: SelectOption): Promise<EntityInterface[]>;
    /**
     * Insert data
     * @param object
     * @param options
     */
    insert(object: EntityInterface, options?: InsertOption): Promise<EntityInterface>;
    update(arg: EntityInterface | UpdateOption): Promise<boolean>;
    update(arg: EntityInterface, options: UpdateOption): Promise<boolean>;
    delete(entity?: EntityInterface, options?: DeleteOption): Promise<boolean>;
}
