import { EntityInterface } from '../../Entity/EntityInterface.interface';
import { AdapterRepositoryInterface } from '../AdapterRepositoryInterface';
import { Manager } from '../../Manager/Manager.service';
import { UpdateOption, SelectOption, InsertOption, DeleteOption } from '../../Schema/SQLQueriesInterfaces';
import { AbstractRepository } from '../AbstractRepository';
export declare class Repository extends AbstractRepository implements AdapterRepositoryInterface {
    manager: Manager;
    constructor(manager: Manager);
    /**
     * Select results
     * @param options
     */
    select(options?: SelectOption): Promise<EntityInterface[]>;
    /**
     * Insert data
     * @param object
     * @param options
     */
    insert(object: EntityInterface, options?: InsertOption): Promise<EntityInterface>;
    /**
     * Update
     * @param arg
     * @param options
     */
    update(arg: EntityInterface | UpdateOption): Promise<boolean>;
    update(arg: EntityInterface, options: UpdateOption): Promise<boolean>;
    /**
     * Delete data
     * @param entity
     * @param options
     */
    delete(entity?: EntityInterface, options?: DeleteOption): Promise<boolean>;
}
