export interface JoinOptionsInterface {
    /**
     * @property The class name that will be joined
     */
    class: string;
    /**
     * @property The field in the joined class that maps the current field
     */
    field?: string;
    /**
     * @property Getter function to get lazyloaded joined field
     */
    getter: string;
}
export declare class JoinOptions {
    class: string;
    field?: string;
    readonly defaultField: string;
    getter: string;
    setterField: string;
    constructor(options: any);
}
/**
 * The Join annotation allows to decorate a class field to describe how it is joined to another class
 *
 * @param options
 */
export declare function Join(options: JoinOptionsInterface): any;
