import { SQLiteDatabaseConfig } from '@ionic-native/sqlite';
export interface ConfigurationOption {
    /**
     * The adapter to use. Sqlite or WebSql
     * @param adapter
     */
    adapter?: string;
    /**
     * The name of the project
     * @param webname
     */
    webname?: string;
    /**
     * Erases a table even if it exists
     * @param erase
     */
    erase?: boolean;
    /**
     * The description of the project
     * @param description
     */
    description?: string;
    /**
     * The version of Websql
     * @param version
     */
    version?: string;
    /**
     * The database size
     * @param maxsize
     */
    maxsize?: number;
}
export interface ConfigurationInterface extends SQLiteDatabaseConfig {
    /**
     * A name for your database. For instance, 'mydatabase'
     * @param name
     */
    name: string;
    /**
     * A file name for your database location. The default value is 'default'
     * @param location
     */
    location: string;
    /**
     * Options to customize your project
     * @param options
     */
    options: ConfigurationOption;
    /**
     * Fill empty configuration field with defautl values
     * @param configuration
     */
    merge?(configuration: ConfigurationInterface): void;
}
export declare class Configuration implements ConfigurationInterface {
    name: string;
    location: string;
    options: ConfigurationOption;
    /**
     * Fill empty configuration field with defautl values
     * @param configuration
     */
    static merge(configuration: ConfigurationInterface): void;
}
