import { EntityInterface } from './EntityInterface.interface';
export declare abstract class AbstractEntity implements EntityInterface {
    /**
     * An array to store dynamic fields
     * @param key a dynamic key
     */
    [key: string]: any;
    /**
     * The default id field for each entity
     * @param id
     */
    id: number;
    /**
     * A field to store the interface name
     * @param __interfacename__
     */
    __interfacename__: string;
    /**
     * Identifying field used by the worker
     * @param __hash__
     */
    __hash__: number;
}
