import { TaskInterface } from './Manager.interface';
import { EntityInterface } from '../Entity/EntityInterface.interface';
export declare class SwoWorker {
    static lastTaskId: number;
    /**
     * A map to store the task of the current queue
     * @property queue
     */
    protected queue: Map<string, Array<TaskInterface>>;
    /**
     * A uniq identifyer to identify each task queue
     * @property currentTaskSetId
     */
    protected currentTaskSetId: string;
    /**
     * Add a task to the current queue
     * @param toAdd
     * @param type Ex : persist, merge, remove
     */
    addTask(toAdd: EntityInterface, type: string): SwoWorker;
    isScheduled(entity: EntityInterface): boolean;
    private addToQueue(toAdd, type);
    private updateQueue(toAdd, type);
    /**
     * Gets the current queue
     */
    getCurrentQueue(): Array<TaskInterface>;
    /**
     * Removes the currentTaskSetId from the queue
     * @param hash
     */
    resetQueue(hash: string): SwoWorker;
    /**
     * Ensures that currentTaskSetId is not empty
     */
    checkTaskSetId(): SwoWorker;
    /**
     * Gets currentTaskSetId
     */
    getCurrentTaskSetId(): string;
    /**
     * Sets currentTaskSetId
     */
    setCurrentTaskSetId(id: string): SwoWorker;
    /**
     * Generates an uniq string
     */
    private guid();
}
