import { ManagerInterface } from '../Manager/Manager.interface';
import { EntityInterface } from '../Entity/EntityInterface.interface';
import { ObjectRepositoryInterface } from './ObjectRepositoryInterface';
import { RepositoryInterface } from './RepositoryInterface.interface';
/**
 * @dynamic
 */
export declare class StaticEntityRepository {
    /**
     * Lazy loads joined fields
     * @param res
     * @param repository
     * @param jointures
     * @param manager
     * @param repositories
     */
    static mapResultsForSelect(res: any, repository: ObjectRepositoryInterface | RepositoryInterface, jointures: Array<any>, manager: ManagerInterface, repositories: any): Promise<EntityInterface[]>;
    /**
     * Handle the database insert query.
     * On success the object is updated
     * @param object
     * @param res
     * @param repository
     * @param resolve
     * @param reject
     * @param options
     */
    static mapResultsForInsert(object: EntityInterface, res: any, repository: ObjectRepositoryInterface, resolve: any, reject: any, options?: any): void;
    /**
     * Handle the database update query.
     * On success the object is updated
     * @param object
     * @param res
     * @param repository
     * @param resolve
     * @param reject
     * @param options
     */
    static mapResultsForUpdate(object: EntityInterface, res: any, repository: ObjectRepositoryInterface, resolve: any, reject: any, options?: any): void;
    /**
     * Update the given object. Since this function calls the 'find' method, then the lazyload will occurs.
     * TODO: add a ttl option to the function 'executeSelectJoin' to let it know how to decremente it in order
     * to avoid cycle references while lazyloading
     *
     * @param object
     * @param res
     * @param repository
     * @param resolve
     * @param reject
     * @param options
     */
    static updateObject(object: EntityInterface, res: any, repository: ObjectRepositoryInterface, resolve: any, reject: any, options?: any): void;
}
