export interface ColumnAnnotationInfo {
    /**
     * storing the name of fieldname
     */
    name: string;
    /**
     * storing the sqlType of fieldname
     */
    type: string;
    /**
     * storing the property of fieldname
     */
    propertyKey: string;
}
/**
 *  @dynamic
 */
export declare class EntityStore {
    /**
     * This array links entities with their repositories
     *
     * {
     *  entityname:
     *   {
     *     name: string, // field name on the database table
     *     type: string, // sql type
     *     propertyKey: string // property name
     *   }
     * }
     */
    static columnAnnotations: {};
    /**
     * Stores the joins annotations by entity
     *
     * {
     *   entityname: [
     *     {JoinOptions, ...}
     *   ]
     * }
     */
    static jointureAnnotations: {};
    /**
     * Ensure the object that stores column informations is set
     * @param classname
     */
    static initTableSchema(classname: string): typeof EntityStore;
    static addColumnAnnotation(classname: string, columnAnnotationInfo: ColumnAnnotationInfo): typeof EntityStore;
    static getTableSchema(classname: string): any;
    static initJointureAnnotations(classname: string): typeof EntityStore;
    static setJointureAnnotations(classname: string, propertyKey: string, joinOptions: any): typeof EntityStore;
    static getJointureAnnotations(classname: string): any;
}
