import { Type } from '@angular/core';
import { ManagerInterface } from '../Manager/Manager.interface';
export interface RepositoryStoreInfo {
    repository: string;
    entityToken: Type<any>;
}
/**
 *  @dynamic
 */
export declare class RepositoryStore {
    /**
     * Stores the mapping between an entity and its repository.
     * It's usefull to get Repository name or entity constructor from entity name
     *
     * {
     *   entityname: {
     *      repository: sting, // repositoryName,
     *      entityToken: Type, // entity constructor
     *      instance: RepositoryInterface // instantiated object
     *   }
     * }
     */
    static store: {};
    /**
     * This array links repositories name to their construtor
     * Ex :
     * {
     *  repositoryName: repositoryType
     *
     *  EntityName: RepositoryName,    // OLD
     *  User: UserRepository           // OLD
     * }
     */
    static mapNamesConstructors: {};
    /**
     * Get repository by entity name
     * @param entityName
     */
    static getRepositoryByEntity(entityName: string): any;
    /**
     * Set repository by entity name
     * @param entityName
     * @param repositoryStoreInfo
     */
    static setRepositoryByEntity(entityName: string, repositoryStoreInfo: RepositoryStoreInfo): typeof RepositoryStore;
    /**
     * Add mapped repository
     * @param repositoryName
     * @param repositoryType
     */
    static addMappedRepository(repositoryName: string, repositoryType: Type<any>): typeof RepositoryStore;
    /**
     * Instantiate the repository of the given the entity name
     * @param entityName
     * @param manager Manager instance which implements ManagerInterface
     */
    static getRepositoryInstance(entityName: string, manager: ManagerInterface): any;
    /**
     * Get the list of associations between entities name and repositories name
     */
    static getSchemaSources(): any[];
    static getClassToken(RepositoryName: string): any;
}
